/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Greg Byrd (IBM) - tests for create and getFactories
 *******************************************************************************/

package org.eclipse.higgins.idas.test;

import junit.framework.TestCase;
import java.security.Security;
import org.eclipse.higgins.idas.*;

public class IdASRegistryTest extends TestCase {

	public IdASRegistryTest(String name) {
		super(name);
	}

	protected void setUp() throws Exception {
		super.setUp();
		TestContextProvider cp = new TestContextProvider();
		Security.addProvider(cp);
	}

	protected void tearDown() throws Exception {
		Security.removeProvider("HigginsTestProvider");
		super.tearDown();
	}
	
	public void testCreateRegistry() {
		try {
			IdASRegistry reg = new IdASRegistry();
			assertNotNull(reg);
		}
		catch(Exception e) { fail("Constructor exception."); }
	}
	
	public void testGetFactories() {
		IdASRegistry reg = new IdASRegistry();
		Iterable<IContextFactory> factories = reg.getContextFactories("");
		assertNotNull(factories);
		int count = 0;
		for (IContextFactory f : factories) {
			if (f != null) count++;
		}
		assertEquals(2, count);
	}

}
