/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Greg Byrd (IBM) 
 *******************************************************************************/

package org.eclipse.higgins.idas.test;

import java.net.URI;

import org.eclipse.higgins.idas.IContext;
import org.eclipse.higgins.idas.IContextFactory;
import org.eclipse.higgins.idas.IMetadata;
import org.eclipse.higgins.idas.IPropertyValue;
import org.eclipse.higgins.idas.IdASException;
import org.eclipse.higgins.idas.NotImplementedException;

/**
 * Another dummy context factory, for testing only.
 * @author gbyrd
 *
 */
public class TestAltContextFactory implements IContextFactory {

	public boolean canCreate(URI contextRef) throws IdASException {
		// No contexts -- always returns false.
		return false;
	}

	public IContext createContext(URI contextRef) throws IdASException {
		// Never creates a context -- returns null.
		return null;
	}

	public Iterable<URI> getContexts(String filter) throws IdASException {
		// No contexts -- always returns null;
		return null;
	}

	public String getName() throws IdASException {
		return new String("Higgins Test Context Factory");
	}

	public String getPolicy() throws IdASException {
		// No policy -- returns null string.
		return null;
	}

	public void setPolicy(String policy) throws IdASException {
		// No policy -- ignored.
	}

	public void addMetadata(IMetadata metadata) throws IdASException {
		// No metadata -- ignored.
	}

	public IMetadata createMetadata(URI type, IPropertyValue value)
			throws IdASException {
		// No metadata -- throws NotImplementedException.
		throw new NotImplementedException();
	}

	public Iterable<IMetadata> getMetadataSet() throws IdASException {
		// No metdata -- always returns null.
		return null;
	}

	public void removeMetadata(IMetadata metadata) throws IdASException {
		// No metadata -- throws IdASException.
		throw new IdASException();
	}

}
