/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Greg Byrd (IBM)
 *******************************************************************************/

package org.eclipse.higgins.idas.test;

import java.security.Provider;

/**
 * Simple Provider that includes two dummy ContextFactory services.
 * @author gbyrd
 *
 */
public final class TestContextProvider extends Provider {
	
	/**
	 * Auto-generated UID.
	 */
	private static final long serialVersionUID = 1269095109116938845L;

	TestContextProvider() {
		super("HigginsTestProvider", 1.0, 
				"Test provider for a Higgins ContextFactory objects.");
		/*
		 * NOTE: String after service name (ContextFactory) represents
		 * algorithm -- this must be different for them to be included as
		 * separate services.
		 */
		put("ContextFactory.LDAP", "org.eclipse.higgins.idas.test.TestContextFactory");
		put("ContextFactory.ALT", "org.eclipse.higgins.idas.test.TestAltContextFactory");
	}
}
